Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 02 Apr 2020 13:40:55 +0200

Hello,

> Do you think that branch is ready for a merge?  Or did you want to
> further discuss some of the changes?  Florian seemed to agree that it’s
> a good thing.

Yes, for me it's ready. If you are ok I can check that our new fancy
tests are still passing and merge it :)

Now, there are other locale related issues we may want to address before
the release:

* The keyboard layout issue in Grub console you reported here[1].
* The keyboard layout issue during hard drive decryption in Grub[2].

I had a quick look to the second one and using `grub-mkstandalone' seems
to be the right move but it would then require extensive testing on real
hardware.

Mathieu

[1]: https://lists.gnu.org/archive/html/bug-guix/2020-04/msg00024.html
[2]: https://lists.gnu.org/archive/html/bug-guix/2020-01/msg00350.html